Loading...
Searching...
No Matches
Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ReadArchive Class Reference

`#include <ReadWrite.h>`

## Public Member Functions

| ReadArchive ()
| ReadArchive (size_t iNumStreams, bool iUseMMap)
| ReadArchive (const std::vector< std::istream * > &iStreams)
::Alembic::AbcCoreAbstract::ArchiveReaderPtr | operator() (const std::string &iFileName) const
::Alembic::AbcCoreAbstract::ArchiveReaderPtr | operator() (const std::string &iFileName, ::Alembic::AbcCoreAbstract::ReadArraySampleCachePtr iCache) const

## Detailed Description

Will return a shared pointer to the archive reader This version creates a cache associated with the archive.

Definition at line 66 of file ReadWrite.h.

## Constructor & Destructor Documentation

## ReadArchive() [1/3]

Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ReadArchive::ReadArchive | ( |  | ) |

## ReadArchive() [2/3]

Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ReadArchive::ReadArchive | ( | size_t | iNumStreams,
|  | bool | iUseMMap )

## ReadArchive() [3/3]

Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ReadArchive::ReadArchive | ( | const std::vector< std::istream * > & | iStreams | ) |

## Member Function Documentation

## operator()() [1/2]

::Alembic::AbcCoreAbstract::ArchiveReaderPtr Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ReadArchive::operator() | ( | const std::string & | iFileName | ) | const

## operator()() [2/2]

::Alembic::AbcCoreAbstract::ArchiveReaderPtr Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ReadArchive::operator() | ( | const std::string & | iFileName,
|  | ::Alembic::AbcCoreAbstract::ReadArraySampleCachePtr | iCache ) const

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/AbcCoreOgawa/ReadWrite.h